<app-layout>

  <div class="row p-4">
    <div class="col-lg-12">
      <mat-card class="margins mt-4">
        <mat-card-header>
          <mat-card-title>Peak Factors</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <table mat-table [dataSource]="factors" class="mat-elevation-z8">
            <ng-container matColumnDef="serial">
              <th mat-header-cell *matHeaderCellDef> Serial </th>
              <td mat-cell *matCellDef="let element; let i = index;"> {{i+1}} </td>
            </ng-container>

            <ng-container matColumnDef="vehicle">
              <th mat-header-cell *matHeaderCellDef> Vehicles </th>
              <td mat-cell *matCellDef="let element"> {{element.vehicle }} </td>
            </ng-container>

            <ng-container matColumnDef="peakfactor">
              <th mat-header-cell *matHeaderCellDef> Peak Factor </th>
              <td mat-cell *matCellDef="let element"> {{element.peakfactor}} </td>
            </ng-container>

            <ng-container matColumnDef="edit">
              <th mat-header-cell *matHeaderCellDef> Edit </th>
              <td mat-cell *matCellDef="let element"> {{element.edit}} </td>
            </ng-container>
           
            <ng-container matColumnDef="action">
              <th mat-header-cell *matHeaderCellDef> Actions </th>
              <td mat-cell *matCellDef="let element">
                <button mat-button matTooltip="Generate Link">
                  <mat-icon (click)="OpenDilog(element._id)">create</mat-icon>
                </button> &nbsp; &nbsp;
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
          </table>
          <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</app-layout>